summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/simplegui')
-rw-r--r--dev-python/simplegui/Manifest1
-rw-r--r--dev-python/simplegui/metadata.xml10
-rw-r--r--dev-python/simplegui/simplegui-0.1.0.ebuild31
3 files changed, 42 insertions, 0 deletions
diff --git a/dev-python/simplegui/Manifest b/dev-python/simplegui/Manifest
new file mode 100644
index 00000000000..d103aad2d88
--- /dev/null
+++ b/dev-python/simplegui/Manifest
@@ -0,0 +1 @@
+DIST simplegui-0.1.0.zip 15821 SHA256 e852bef6a5f799c3f19b78dac6a0a58f3d29773651d0fa26768030ead4d74037 SHA512 b09bad388dfeff4778c4ed1ebaaf9a01a802c023b272a7bce8efe4091e8dbe658a2bcba56663e686cc76cfd907b6b54da7033946ee989b600e4d5269ad43315c WHIRLPOOL 701153e16e540ba8dfc13609cbceb37eac75e061109b9ae7afe677ac60f8ed03c7e2dd8a761a626b786473983f85b822870d9a593b88bc32016d40b0d91d3c17
diff --git a/dev-python/simplegui/metadata.xml b/dev-python/simplegui/metadata.xml
new file mode 100644
index 00000000000..2ccc7474c09
--- /dev/null
+++ b/dev-python/simplegui/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>maintainer-needed@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">simplegui</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/simplegui/simplegui-0.1.0.ebuild b/dev-python/simplegui/simplegui-0.1.0.ebuild
new file mode 100644
index 00000000000..c8929d8580b
--- /dev/null
+++ b/dev-python/simplegui/simplegui-0.1.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_3 )
+PYTHON_REQ_USE="tk"
+DISTUTILS_IN_SOURCE_BUILD=1
+
+inherit distutils-r1
+
+DESCRIPTION="Simplified GUI generation using Tkinter"
+HOMEPAGE="http://florian-berger.de/en/software/simplegui"
+SRC_URI="http://static.florian-berger.de/simplegui-0.1.0.zip"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+DEPEND="app-arch/unzip
+ dev-python/cx_Freeze[${PYTHON_USEDEP}]"
+
+python_compile() {
+ if [[ ${EPYTHON} == python3.* ]]; then
+ 2to3 --no-diffs -w *.py || die
+ fi
+
+ distutils-r1_python_compile
+}